Public Member Functions | List of all members
clan::Quad Class Reference
clanCore Math

2D quad structure - Integer More...

`#include <quad.h>`

Inheritance diagram for clan::Quad:

## Public Member Functions
| Quad ()
| Quad (const Vec2< int > &new_p, const Vec2< int > &new_q, const Vec2< int > &new_r, const Vec2< int > &new_s)
| Quad (const Rect &rect)
| Quad (const Quadx< int > &quad)
Public Member Functions inherited from clan::Quadx< int >
| Quadx ()
| Constructs a quad. More...
| Quadx (const Vec2< int > &new_p, const Vec2< int > &new_q, const Vec2< int > &new_r, const Vec2< int > &new_s)
| Constructs a quad. More...
| Quadx (const Rectx< int > &rect)
| Constructs a quad. More...
| Quadx (const Quadx< int > &quad)
| Constructs a quad. More...
Quadx< int > & | operator+= (const Quadx< int > &quad)
| Quad += Quad operator. More...
Quadx< int > & | operator+= (const Vec2< int > &point)
| Quad += Point operator. More...
Quadx< int > & | operator-= (const Quadx< int > &quad)
| Quad -= Quad operator. More...
Quadx< int > & | operator-= (const Vec2< int > &point)
| Quad -= Point operator. More...
Quadx< int > | operator+ (const Quadx< int > &quad) const
| Quad + Quad operator. More...
Quadx< int > | operator+ (const Vec2< int > &point) const
| Quad + Point operator. More...
Quadx< int > | operator- (const Quadx< int > &quad) const
| Quad - Quad operator. More...
Quadx< int > | operator- (const Vec2< int > &point) const
| Quad - Point operator. More...
bool | operator== (const Quadx< int > &quad) const
| Quad == Quad operator. More...
bool | operator!= (const Quadx< int > &quad) const
| Quad != Quad operator. More...
Quadx< int > & | rotate (const Vec2< int > &hotspot, const Angle &angle)
| Rotates the Quad. More...
Quadx< int > & | scale (float sx, float sy)
| Scale the Quad. More...
Quadx< int > & | scale (const Vec2< int > &hotspot, float sx, float sy)
| Scale the Quad. More...
Vec2< int > | center () const
| Returns the center point of the quad. More...
Quadx< int > & | apply_alignment (Origin origin, intx, inty)
| Applies an origin and offset pair to this rectangle. More...
bool | is_inside (const Vec2< int > &point) const
| Check if a point is inside or outside the quad. More...
int | get_width () const
| Returns the width of the quad. More...
int | get_height () const
| Returns the height of the quad. More...
Sizex< int > | get_size () const
| Returns the size of the rectangle. More...
Rect | get_bounds () const
| Returns the bounding box of the quad as a Rect. More...

## Additional Inherited Members
Public Attributes inherited from clan::Quadx< int >
Vec2< int > | p
| First Point. More...
Vec2< int > | q
| Second Point. More...
Vec2< int > | r
| Third Point. More...
Vec2< int > | s
| Fourth Point. More...

## Detailed Description

2D quad structure - Integer

The documentation for this class was generated from the following file:

- quad.h